[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DefineProperties

Defines non-published properties included during LCL component streaming.

## Declaration

Source position: grids.pas line 1021

`protected procedure TCustomGrid.DefineProperties(`
`Filer: TFiler`
`); override;`

## Arguments

`Filer` |  | TFiler instance used to read and write the defined properties.

## Description

DefineProperties is an overridden method used to define non-published properties which are included during LCL component streaming. It sets the read and write routines in Filer used for the following grid properties:

- ColWidths
- RowHeights

## See also

TCustomGrid.ColWidths |  | Provides indexed access to the Width for a column in the grid.
TCustomGrid.RowHeights |  | Provides indexed access to the height for each row in the grid.
TControl.DefineProperties |  | Defines which non-published properties should be streamed (none here).